[Overview][Resource strings][Constants][Types][Procedures and functions][Index] | Reference for unit 'unicodedata' (#rtl)

# GetPropUCA

Get unicode collation algorithm properties for a unicode character

## Declaration

Source position: unicodedata.pas line 496

`function GetPropUCA(`
`const AHighS: UnicodeChar;`
`const ALowS: UnicodeChar;`
`const ABook: PUCA_DataBook`
`):PUCA_PropItemRec; overload; function GetPropUCA(`
`const AChar: UnicodeChar;`
`const ABook: PUCA_DataBook`
`):PUCA_PropItemRec; overload;`

## Arguments

`AHighS` |  | High character of surrogate pair.
`ALowS` |  | Low character of surrogate pair.
`ABook` |  | Unicode Collation Algorithm data set.

## Function result

UCA data for the character, nil if none is available.

## Arguments

`AChar` |  | Unicode character
`ABook` |  | Unicode Collation Algorithm data set.

## Description

GetPropUCA returns UCA data for the unicode character (AChar) or surrogate pair AHighS, ALowS) in the collation data book ABook. If no data is available, Nil is returned.

## Errors

if an invalid ABook is specified, an access violation may occur.

## See also

GetProps |  | Get unicode character data